## slib 3b6

=== Makefile ===
# Makefile for Scheme Library
# Author: Aubrey Jaffer
#
# This code is in the public domain.

# These are normally set in "config.status"; defaults are here so that
# "make" won't complain about target redefinitions.
snapdir=$(HOME)/pub/
infodir=$(HOME)/info/
htmldir=$(HOME)/public_html/

SHELL = /bin/sh
INSTALL = install
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_INFO = install-info

SCHEME = scm
CHPAT = $(HOME)/bin/chpat
MAKEDEV = $(MAKE) -f $(HOME)/makefile.dev
TEXI2HTML = /usr/local/bin/texi2html -split -verbose
TEXI2PDF = texi2pdf
RSYNC = rsync -av
Uploadee = csail

RUNNABLE = scheme48
S48INIT = scheme48.init
S48LIB = $(libdir)$(RUNNABLE)/
S48SLIB = $(S48LIB)slib/
IMAGE48 = slib.image

intro:	config.status
	@echo
	@echo "Welcome to SLIB.  Read \"README\" and \"slib.info\" (or"
	@echo "\"slib.texi\") to learn how to install and use SLIB."
	@echo

VERSION = 3b6
RELEASE = 1

# ./configure --distdir=${HOME}/dist/ --snapdir=${HOME}/pub/ --htmldir=${HOME}/public_html/ --pdfdir=${HOME}/public_html/

config.status:
	./configure
Makefile: config.status
include config.status

prevdocsdir = prevdocs/
libslibdir = $(libdir)slib/
windistdir = /c/Voluntocracy/dist/
rpm_prefix = $(HOME)/rpmbuild/

ffiles = format.scm printf.scm genwrite.scm pp.scm \
	ppfile.scm strcase.scm debug.scm trace.scm \
	strport.scm scanf.scm qp.scm break.scm stdio.scm \
	strsrch.scm prec.scm schmooz.scm defmacex.scm mbe.scm
lfiles = sort.scm comlist.scm logical.scm
revfiles = sc4opt.scm sc4sc3.scm sc2.scm mularg.scm mulapply.scm \
	trnscrpt.scm withfile.scm dynwind.scm promise.scm \
	values.scm eval.scm null.scm
afiles = charplot.scm root.scm cring.scm selfset.scm limit.scm \
	 timecore.scm psxtime.scm cltime.scm timezone.scm tzfile.scm \
	 math-real.scm
bfiles = fluidlet.scm fluid-let.scm object.scm recobj.scm yasyn.scm	\
	collect.scm collectx.scm
scfiles = r4rsyn.scm scmacro.scm synclo.scm synrul.scm synchk.scm \
	repl.scm macwork.scm mwexpand.scm mwdenote.scm mwsynrul.scm
scafiles = scainit.scm scaglob.scm scamacr.scm scaoutp.scm scaexpp.scm \
	structure.scm
srfiles = srfi-2.scm srfi-8.scm srfi-9.scm srfi-11.scm	\
	srfi-23.scm srfi-39.scm srfi-61.scm
efiles = record.scm dynamic.scm process.scm hash.scm wttree.scm	\
	wttree-test.scm sierpinski.scm soundex.scm simetrix.scm
rfiles = rdms.scm alistab.scm paramlst.scm \
	batch.scm crc.scm dbrowse.scm getopt.scm dbinterp.scm \
	dbcom.scm dbsyn.scm
ciefiles = cie1931.xyz cie1964.xyz resenecolours.txt saturate.txt \
	nbs-iscc.txt ciesid65.dat ciesia.dat

txiscms =grapheps.scm glob.scm getparam.scm \
	vet.scm top-refs.scm hashtab.scm chap.scm comparse.scm\
	alist.scm ratize.scm modular.scm dirs.scm priorque.scm queue.scm\
	srfi.scm srfi-1.scm xml-parse.scm\
	pnm.scm http-cgi.scm htmlform.scm html4each.scm db2html.scm uri.scm\
	dft.scm solid.scm random.scm randinex.scm obj2str.scm ncbi-dna.scm\
	minimize.scm factor.scm determ.scm daylight.scm colornam.scm\
	mkclrnam.scm color.scm subarray.scm dbutil.scm array.scm transact.scm\
	arraymap.scm phil-spc.scm lineio.scm differ.scm cvs.scm tree.scm\
	coerce.scm byte.scm bytenumb.scm matfile.scm tsort.scm manifest.scm\
	peanosfc.scm linterp.scm math-integer.scm rmdsff.scm iso8601.scm
txifiles =grapheps.txi glob.txi getparam.txi\
	vet.txi top-refs.txi hashtab.txi chap.txi comparse.txi\
	alist.txi ratize.txi modular.txi dirs.txi priorque.txi queue.txi\
	srfi.txi srfi-1.txi xml-parse.txi\
	pnm.txi http-cgi.txi htmlform.txi html4each.txi db2html.txi uri.txi\
	dft.txi solid.txi random.txi randinex.txi obj2str.txi ncbi-dna.txi\
	minimize.txi factor.txi determ.txi daylight.txi colornam.txi\
	mkclrnam.txi color.txi subarray.txi dbutil.txi array.txi transact.txi\
	arraymap.txi phil-spc.txi lineio.txi differ.txi cvs.txi tree.txi\
	coerce.txi byte.txi bytenumb.txi matfile.txi tsort.txi manifest.txi\
	peanosfc.txi linterp.txi math-integer.txi rmdsff.txi iso8601.txi
#txifiles = `echo $(txiscms) | sed 's%.scm%.txi%g'`

texifiles = schmooz.texi indexes.texi object.texi format.texi limit.texi \
	 fdl.texi
docfiles = ANNOUNCE README COPYING FAQ slib.1 slib.texi \
	$(texifiles) $(txifiles)
mkfiles = Makefile require.scm Template.scm mklibcat.scm mkpltcat.scm \
	syncase.sh Bev2slib.scm slib.spec slib.sh grapheps.ps slib.nsi \
	configure
ifiles = bigloo.init chez.init elk.init macscheme.init mitscheme.init \
	scheme2c.init scheme48.init gambit.init t3.init vscm.init \
	scm.init scsh.init sisc.init pscheme.init STk.init kawa.init \
	RScheme.init mzscheme.init umbscheme.init jscheme.init s7.init \
	guile.init guile.use guile-2.init
tfiles = macrotst.scm dwindtst.scm formatst.scm
sfiles = $(ffiles) $(lfiles) $(revfiles) $(afiles) $(scfiles) $(efiles) \
	$(rfiles) colorspc.scm $(scafiles) $(txiscms) $(srfiles)
allfiles = $(docfiles) $(mkfiles) $(ifiles) $(sfiles) $(tfiles)		\
	$(bfiles) slib.doc $(ciefiles) clrnamdb.scm SLIB.ico ChangeLog	\
	slib.info version.txi
libfiles = $(ifiles) $(sfiles) $(bfiles) $(mkfiles) $(ciefiles) clrnamdb.scm
tagfiles = $(docfiles) $(mkfiles) $(sfiles) $(bfiles) $(tfiles)	$(ifiles)

# $(DESTDIR)$(S48SLIB) isn't included in installdirs because
# Scheme48 may not be installed.
$(DESTDIR)$(S48SLIB):
	mkdir -p $(DESTDIR)$(S48SLIB)

installdirs:
	mkdir -p $(DESTDIR)$(mandir)man1/
	mkdir -p $(DESTDIR)$(libslibdir)
	mkdir -p $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(infodir)
	mkdir -p $(DESTDIR)$(htmldir)
	mkdir -p $(DESTDIR)$(pdfdir)
	mkdir -p $(DESTDIR)$(dvidir)

$(txifiles): slib.texi $(txiscms) schmooz.scm
	$(SCHEME) -rschmooz -e'(schmooz "$<")'

slib.dvi: slib.texi version.txi $(txifiles) $(texifiles)
	$(TEXI2DVI) -b -c $<
dvi:	slib.dvi
xdvi:	slib.dvi
	xdvi $<
install-dvi: slib.dvi installdirs
	$(INSTALL_DATA) $< $(DESTDIR)$(dvidir)

slib.pdf: slib.texi version.txi $(txifiles) $(texifiles)
	$(TEXI2PDF) -b -c $<
pdf:	slib.pdf
xpdf:	slib.pdf
	xpdf $<
install-pdf: slib.pdf installdirs
	$(INSTALL_DATA) $< $(DESTDIR)$(pdfdir)

# slib_toc.html: slib.texi version.txi $(txifiles) $(texifiles)
# 	$(TEXI2HTML) $<
# html:	slib_toc.html
# $(DESTDIR)$(htmldir)slib_toc.html: slib_toc.html Makefile installdirs
# 	-rm -f slib_stoc.html
# 	if [ -f $(prevdocsdir)slib_toc.html ]; \
# 	  then hitch $(prevdocsdir)slib_\*.html slib_\*.html \
# 		$(DESTDIR)$(htmldir); \
# 	  else $(INSTALL_DATA) slib_*.html $(DESTDIR)$(htmldir);fi
# install-html: $(DESTDIR)$(htmldir)slib_toc.html

html/slib: slib.texi version.txi $(txifiles) $(texifiles)
	mkdir -p html
	rm -rf html/slib
	makeinfo --html $< -o html/slib
	if type icoize>/dev/null; then icoize ../Logo/SCM.ico html/slib/*.html; fi
html:	html/slib
$(DESTDIR)$(htmldir)slib: html/slib
	-rm -rf $(DESTDIR)$(htmldir)slib
	mkdir -p $(DESTDIR)$(htmldir)slib
	$(INSTALL_DATA) html/slib/*.html $(DESTDIR)$(htmldir)slib
install-html: $(DESTDIR)$(htmldir)slib

# Used by w32install
slib.html: slib.texi
	$(MAKEINFO) --html --no-split --no-warn --force $<

slib-$(VERSION).info: slib.texi version.txi $(txifiles) $(texifiles)
	$(MAKEINFO) $< --no-warn --no-split -o slib-$(VERSION).info
slib.info: slib-$(VERSION).info
	if [ -f $(prevdocsdir)slib.info ];\
	  then infobar $(prevdocsdir)slib.info slib-$(VERSION).info \
		slib.info;\
	  else cp $< $@;fi
$(DESTDIR)$(infodir)slib.info:	slib.info installdirs
	$(INSTALL_DATA) $< $@
	-rm $(DESTDIR)$(infodir)slib.info.gz
	$(POST_INSTALL)    # Post-install commands follow.
	-$(INSTALL_INFO) $@ $(DESTDIR)$(infodir)dir
install-info:	$(DESTDIR)$(infodir)slib.info
info:	install-info
$(DESTDIR)$(infodir)slib.info.gz: $(DESTDIR)$(infodir)slib.info
	gzip -f $<
install-infoz:	$(DESTDIR)$(infodir)slib.info.gz
infoz:	install-infoz

slib.doc: slib.1
	nroff -man $< | ul -tunknown >$@
install-man: slib.1 installdirs
	-$(INSTALL_DATA) $< $(DESTDIR)$(mandir)man1/

docs:	$(DESTDIR)$(infodir)slib.info.gz \
	$(DESTDIR)$(htmldir)slib_toc.html slib.dvi \
	$(DESTDIR)$(pdfdir)slib.pdf \
	slib.doc

MKNMDB = (require 'color-database) (make-slib-color-name-db) (slib:exit)
# this comment fixes emacs' colorizing

clrnamdb: clrnamdb.scm
clrnamdb.scm: mkclrnam.scm color.scm resenecolours.txt saturate.txt nbs-iscc.txt
	if type scm; then scm -e"$(MKNMDB)";\
	elif type guile; then guile -l guile.init -c\
	 "(use-modules (ice-9 slib)) $(MKNMDB)";\
	elif type slib48; then echo -e "$(MKNMDB)\n,exit" | slib48 -h 3000000;\
	elif type umb-scheme; \
	then SCHEME_INIT=`pwd`/umbscheme.init;export SCHEME_INIT;\
	 echo "$(MKNMDB)" | umb-scheme;\
	elif type mzscheme; \
	then SCHEME_LIBRARY_PATH=`pwd`/;export SCHEME_LIBRARY_PATH;\
	 echo "$(MKNMDB)" | mzscheme -f mzscheme.init;\
	fi

catalogs:
	-if type scm; then scm -c "(require 'new-catalog)"; fi
	-if type guile; then guile -l guile.init -c\
	  "(use-modules (ice-9 slib)) (require 'new-catalog)"; fi
	-if type umb-scheme; then\
	  SCHEME_INIT=umbscheme.init;export SCHEME_INIT;\
	  echo "(require 'new-catalog)" | umb-scheme; fi
	-if type mzscheme; then\
	  SCHEME_LIBRARY_PATH=`pwd`/;export SCHEME_LIBRARY_PATH;\
	  cp mkpltcat.scm `mzscheme -mf mzscheme.init -e '(begin(display(implementation-vicinity))(exit))'`mkimpcat.scm;\
	  mzscheme -g -f mzscheme.init -e "(require 'new-catalog)"</dev/null; fi
	-if type scheme48; then $(MAKE) install48; fi

$(DESTDIR)$(S48SLIB)strport.scm: $(DESTDIR)$(S48SLIB)
	echo ";;; strport.scm  -*- scheme -*-">$(DESTDIR)$(S48SLIB)strport.scm
	echo ";@">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "(define (call-with-output-string proc)">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "  (let ((port (make-string-output-port)))">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "    (proc port)">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "    (string-output-port-output port)))">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "(define (call-with-input-string string proc)">>$(DESTDIR)$(S48SLIB)strport.scm
	echo "  (proc (make-string-input-port string)))">>$(DESTDIR)$(S48SLIB)strport.scm

$(DESTDIR)$(S48SLIB)record.scm: $(DESTDIR)$(S48SLIB)
	echo ";;; record.scm  -*- scheme -*-">$(DESTDIR)$(S48SLIB)record.scm
	echo ";; This code is in the public domain">>$(DESTDIR)$(S48SLIB)record.scm
	echo ";@">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define make-record-type   make-record-type)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-constructor">>$(DESTDIR)$(S48SLIB)record.scm
	echo "  (let ((constructor record-constructor))">>$(DESTDIR)$(S48SLIB)record.scm
	echo "    (lambda (rt . fields)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "      (constructor rt (if (pair? fields)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "                          (car fields)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "                          (record-type-field-names rt))))))">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-predicate   record-predicate)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-accessor    record-accessor)">>$(DESTDIR)$(S48SLIB)record.scm
	echo "(define record-modifier    record-modifier)">>$(DESTDIR)$(S48SLIB)record.scm

slib48:	$(IMAGE48)
$(IMAGE48):	$(S48INIT) Makefile
	S48_VERSION="`echo ,exit | $(RUNNABLE) |\
	  sed -n 's/Welcome to Scheme 48 //;s/ ([^)]*)[.]//;p;q'`";\
	  export S48_VERSION;\
	  S48_VICINITY="$(DESTDIR)$(S48LIB)";export S48_VICINITY;\
	  SCHEME_LIBRARY_PATH="`pwd`/";export SCHEME_LIBRARY_PATH;\
	  $(RUNNABLE) < $<
install48:	$(IMAGE48) $(DESTDIR)$(S48SLIB)strport.scm \
		$(DESTDIR)$(S48SLIB)record.scm
	$(INSTALL_DATA) $(IMAGE48) $(DESTDIR)$(S48LIB)
	(echo '#! /bin/sh';\
	 echo exec $(RUNNABLE) -i '$(DESTDIR)$(S48LIB)$(IMAGE48)' \"\$$\@\") \
	  > $(DESTDIR)$(bindir)slib48
	chmod +x $(DESTDIR)$(bindir)slib48
uninstall48:
	-rm $(DESTDIR)$(S48LIB)$(IMAGE48)

install-lib: $(libfiles) installdirs
	-$(INSTALL_DATA) $(libfiles) $(DESTDIR)$(libslibdir)

install-script: slib.sh installdirs
	echo '#! /bin/sh'			     > slib-script
	echo SCHEME_LIBRARY_PATH=$(libslibdir)      >> slib-script
	echo S48_VICINITY=$(S48LIB)		    >> slib-script
	echo VERSION=$(VERSION)			    >> slib-script
	echo export SCHEME_LIBRARY_PATH S48_VICINITY>> slib-script
	cat $<					    >> slib-script
	$(INSTALL_PROGRAM) slib-script $(DESTDIR)$(bindir)slib
	rm slib-script

=== debian/changelog ===
slib (3b6-3build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:04:20 +0000

slib (3b6-3) unstable; urgency=low

  * debian/tests: exclude mit-scheme and chezscheme tests on platforms
    which these packages do not support.

 -- Nick Gasson <nick@nickg.me.uk>  Sun, 14 Feb 2021 20:18:54 +0800

slib (3b6-2) unstable; urgency=low

  * Pre-built slibcat catalog files for MIT Scheme, Chez, and Gambit are now
    installed under /var/lib/slib and (implementation-vicinity) is updated
    to point to this directory in the corresponding .init files. This avoids
    the need to run (require 'new-catalog) as root. (Closes: #641370)
  * (library-vicinity) now falls back to the Debian installation directory
    /usr/share/slib instead of upstream's hard-coded /usr/local/lib/slib.
    (Closes: #970310)
  * debian/patches
    - Fix warning when loading guile.init with guile-3.0.
    - Make sure PACKAGE_TARNAME in configure script does not depend on
      current working directory. Otherwise the build is not reproducible.
    - Do not set the LD_LIBRARY_PATH environment variable when starting
      Gambit through the slib wrapper script.
  * debian/tests: add autopkg tests for scm, mit-scheme, guile-2.2,
    guile-3.0, gambit, and chezscheme.
  * debian/postinst: remove obsolete commands to generate catalog for
    guile-1.6.
  * debian/watch: use https URL.

 -- Nick Gasson <nick@nickg.me.uk>  Sun, 10 Jan 2021 17:42:35 +0800

slib (3b6-1) unstable; urgency=low

  * New maintainer. (Closes: #721062)
  * New upstream release.
    - Fix compatibility with Guile. (Closes: #758850)
    - Fix compatibility with MIT Scheme. (Closes: #641369)
  * debian/control
    - Update to debhelper version 13.
    - Add dependency on sensible-utils.
    - Add link to VCS on Salsa.
    - Update standards version to 4.5.0.
    - Remove ancient Conflicts.
  * debian/compat: Remove.
  * debian/patches
    - Use gbp pq to manage patches.
    - Add patch to use sensible-browser in (browse-url).
    - Rebase on 3b6.
    - 712322_fix_doc_build.patch: was backported from upstream, no
      longer necessary.
    - do-not-regenerate-version-txi.patch: upstream behaviour changed,
      no longer necessary.
  * debian/rules
    - Upstream now uses a configure script.
    - Install missing non-Scheme files. (Closes: #652340)
    - Avoid rebuilding clrnamdb.scm which is included in upstream tarball.
  * debian/copyright
    - Convert to machine readable format.
    - Add missing copyright information for documentation.

 -- Nick Gasson <nick@nickg.me.uk>  Sat, 29 Aug 2020 14:15:08 +0800

slib (3b1-5) unstable; urgency=medium

  * QA upload.
  * Drop obsolete prerm.
  * Drop obsolete preinst.
  * Switch to minimal dh debian/rules.
  * Tidy up debian/patches a little bit.
  * Add a debian/clean file so that package builds twice in a row.
  * Do not regenerate version.txi just because Makefile was modified.
  * Try to be reproducible by setting PERL_HASH_SEED and using
    an init file for texi2html (inspired by texi2html test suite).

 -- Santiago Vila <sanvila@debian.org>  Tue, 29 Sep 2015 21:07:24 +0200

slib (3b1-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group (#721062)
  * Backport changes from upstream to fix build with texinfo 5.
    Closes: #712322
  * Use local version of schmooz.scm to make sure this fix is actually
    used.

 -- Ivo De Decker <ivodd@debian.org>  Tue, 11 Nov 2014 17:46:53 +0100

=== debian/control ===
Source: slib
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nick Gasson <nick@nickg.me.uk>
Build-Depends: debhelper-compat (= 13), scm, texi2html, texinfo, mit-scheme,
 chezscheme, gambc
Standards-Version: 4.5.0
Homepage: http://people.csail.mit.edu/jaffer/SLIB.html
Vcs-Browser: https://salsa.debian.org/nickg/slib
Vcs-Git: https://salsa.debian.org/nickg/slib.git

Package: slib
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, sensible-utils
Description: Portable Scheme library
 SLIB is a portable scheme library meant to provide compatibility and
 utility functions for all standard scheme implementations.  SLIB
 includes initialization files for Chez, ELK 2.1, GAMBIT, MacScheme,
 MITScheme, scheme->C, Scheme48, T3.1, and VSCM.  SCM also supports
 SLIB.

=== debian/tests/control ===
Test-Command: ./debian/tests/scm
Depends: @, scm
Architecture: amd64, i386, armhf, arm64, ppc64el

Test-Command: ./debian/tests/guile-2.2
Depends: @, guile-2.2

Test-Command: ./debian/tests/guile-3.0
Depends: @, guile-3.0

Test-Command: ./debian/tests/mit
Depends: @, mit-scheme
Architecture: amd64, i386

Test-Command: ./debian/tests/chez
Depends: @, chezscheme
Architecture: amd64, i386, armhf

Test-Command: ./debian/tests/gambit
Depends: @, gambc

=== debian/watch ===
version=3
https://people.csail.mit.edu/jaffer/SLIB.html .*slib-([\d.]+.*)\.zip

## slib 3c1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 SCHEME = scm
 CHPAT = $(HOME)/bin/chpat
 MAKEDEV = $(MAKE) -f $(HOME)/makefile.dev
-TEXI2HTML = /usr/local/bin/texi2html -split -verbose
 TEXI2PDF = texi2pdf
 RSYNC = rsync -av
 Uploadee = csail
@@ -35,7 +34,7 @@
 	@echo "\"slib.texi\") to learn how to install and use SLIB."
 	@echo
 
-VERSION = 3b6
+VERSION = 3c1
 RELEASE = 1
 
 # ./configure --distdir=${HOME}/dist/ --snapdir=${HOME}/pub/ --htmldir=${HOME}/public_html/ --pdfdir=${HOME}/public_html/
@@ -155,21 +154,10 @@
 install-pdf: slib.pdf installdirs
 	$(INSTALL_DATA) $< $(DESTDIR)$(pdfdir)
 
-# slib_toc.html: slib.texi version.txi $(txifiles) $(texifiles)
-# 	$(TEXI2HTML) $<
-# html:	slib_toc.html
-# $(DESTDIR)$(htmldir)slib_toc.html: slib_toc.html Makefile installdirs
-# 	-rm -f slib_stoc.html
-# 	if [ -f $(prevdocsdir)slib_toc.html ]; \
-# 	  then hitch $(prevdocsdir)slib_\*.html slib_\*.html \
-# 		$(DESTDIR)$(htmldir); \
-# 	  else $(INSTALL_DATA) slib_*.html $(DESTDIR)$(htmldir);fi
-# install-html: $(DESTDIR)$(htmldir)slib_toc.html
-
 html/slib: slib.texi version.txi $(txifiles) $(texifiles)
 	mkdir -p html
 	rm -rf html/slib
-	makeinfo --html $< -o html/slib
+	makeinfo --html $< -o html/slib --split=section --no-node-files
 	if type icoize>/dev/null; then icoize ../Logo/SCM.ico html/slib/*.html; fi
 html:	html/slib
 $(DESTDIR)$(htmldir)slib: html/slib
@@ -207,8 +195,9 @@
 	-$(INSTALL_DATA) $< $(DESTDIR)$(mandir)man1/
 
 docs:	$(DESTDIR)$(infodir)slib.info.gz \
-	$(DESTDIR)$(htmldir)slib_toc.html slib.dvi \
 	$(DESTDIR)$(pdfdir)slib.pdf \
+	$(DESTDIR)$(htmldir)slib \
+	slib.dvi \
 	slib.doc
 
 MKNMDB = (require 'color-database) (make-slib-color-name-db) (slib:exit)
@@ -296,3 +285,15 @@
 	cat $<					    >> slib-script
 	$(INSTALL_PROGRAM) slib-script $(DESTDIR)$(bindir)slib
 	rm slib-script
+
+install: install-script install-lib install-infoz install-man
+
+uninstall: uninstall48
+	$(PRE_UNINSTALL)     # Pre-uninstall commands follow.
+	-$(INSTALL_INFO) --delete $(DESTDIR)$(infodir)slib.info \
+	  $(DESTDIR)$(infodir)dir
+	$(NORMAL_UNINSTALL)  # Normal commands follow.
+	-rm $(DESTDIR)$(infodir)slib.info*
+	-rm $(DESTDIR)$(mandir)man1/slib.1
+	-rm $(DESTDIR)$(bindir)slib
+	cd $(DESTDIR)$(libslibdir); rm $(libfiles)

=== debian/changelog ===
slib (3c1-2) unstable; urgency=medium

  * debian/control (Build-Depends): Remove scm.
  * debian/clean: Don't remove generated .txi files.
  * debian/rules (override_dh_auto_build): Tweak the timestamp of
    slib.texi.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 16 Jan 2025 10:48:02 +0900

slib (3c1-1) unstable; urgency=medium

  [ NIIBE Yutaka ]
  * New upstream (Closes: #1068593).
  * debian/control (Maintainer): Team maintained.
    (Uploaders): Add developers from scm/debian/control and me.
    (Build-Depends): mit-scheme is only available on amd64.
    (Vcs-Browser, Vcs-Git): Move to scheme-team.
  * debian/rules: Conditionalize for mitscheme.

  [ Jens Thiele ]
  * Remove autopkgtest using mit-scheme on i386 (Closes: #1089576).

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Update lintian override info format in d/slib.lintian-overrides on line 5.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (Closes: #1013856):
    + slib: Drop versioned constraint on dpkg and install-info in Depends.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 16 Jan 2025 08:56:49 +0900

=== debian/control ===
Source: slib
Section: devel
Priority: optional
Maintainer: Debian Scheme Dream Team <debian-scheme@lists.debian.org>
Uploaders: Nick Gasson <nick@nickg.me.uk>,
	   Bryan Newbold <bnewbold@robocracy.org>,
	   Barak A. Pearlmutter <bap@debian.org>,
	   Gwen Weinholt <weinholt@debian.org>,
	   NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: debhelper-compat (= 13), texi2html, texinfo, mit-scheme [amd64],
 chezscheme, gambc
Standards-Version: 4.6.2
Homepage: https://people.csail.mit.edu/jaffer/SLIB.html
Vcs-Browser: https://salsa.debian.org/scheme-team/slib
Vcs-Git: https://salsa.debian.org/scheme-team/slib.git

Package: slib
Architecture: all
Depends: ${misc:Depends}, sensible-utils
Description: Portable Scheme library
 SLIB is a portable scheme library meant to provide compatibility and
 utility functions for all standard scheme implementations.  SLIB
 includes initialization files for Chez, ELK 2.1, GAMBIT, MacScheme,
 MITScheme, scheme->C, Scheme48, T3.1, and VSCM.  SCM also supports
 SLIB.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),amd64)
  SCHEME_IMPLEMENTATIONS=gambc chez mitscheme
else
  SCHEME_IMPLEMENTATIONS=gambc chez
endif

export PERL_HASH_SEED = 0

TEXI2HTML = texi2html --init-file debian/texi2html.rc --split chapter --verbose

%:
	dh $@

# configure script does not accept usual --build, etc. options.
# Scheme sources should be installed in /usr/share not /usr/lib.
override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/share

override_dh_auto_build:
	touch -r schmooz.scm slib.texi # Apply slib.texi patch, but no rebuild
	touch clrnamdb.scm  # clrnamdb.scm does not need to be rebuilt
	dh_auto_build
	$(MAKE) slib.info
	$(MAKE) TEXI2HTML="$(TEXI2HTML)" html

override_dh_install:
	dh_install
# 	Remove unwanted info/dir.gz
	rm -f debian/slib/usr/share/info/dir*
# 	Remove configure script, etc. installed by upstream makefile
	for i in configure slib.sh syncase.sh Makefile slib.nsi slib.spec; do \
	  rm -f debian/slib/usr/share/slib/$$i; \
	done
# 	Generate slibcat under /var/lib/slib for each supported Scheme
	for i in $(SCHEME_IMPLEMENTATIONS); do \
	  mkdir -p debian/slib/var/lib/slib/$$i; \
	done
# 	Generate slibcat for Gambit
	SCHEME_LIBRARY_PATH=$(CURDIR)/debian/slib/usr/share/slib/ \
	  GAMBIT_IMPLEMENTATION_PATH=debian/slib/var/lib/slib/gambc/ \
	  gsi -f gambit.init -e "(require 'new-catalog)"
#	Generate slibcat for Chez
	echo "(require 'new-catalog)" | \
	  SCHEME_LIBRARY_PATH=$(CURDIR)/debian/slib/usr/share/slib/ \
	  CHEZ_IMPLEMENTATION_PATH=debian/slib/var/lib/slib/chez/ \
	  chezscheme -q chez.init
ifeq ($(DEB_HOST_ARCH),amd64)
#	Generate slibcat for MIT Scheme
	echo "(require 'new-catalog)" | \
	  SCHEME_LIBRARY_PATH=$(CURDIR)/debian/slib/usr/share/slib/ \
	  MITSCHEME_IMPLEMENTATION_PATH=debian/slib/var/lib/slib/mitscheme/ \
	  mit-scheme --batch-mode --no-init-file --load mitscheme.init
endif
#	Strip the temporary DESTDIR from the slibcat paths
	for i in $(SCHEME_IMPLEMENTATIONS); do \
	  sed -i 's|$(CURDIR)/debian/slib||' debian/slib/var/lib/slib/$$i/slibcat; \
	done

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Test-Command: ./debian/tests/mit
 Depends: @, mit-scheme
-Architecture: amd64, i386
+Architecture: amd64
 
 Test-Command: ./debian/tests/chez
 Depends: @, chezscheme

=== debian/watch ===
version=4
https://people.csail.mit.edu/jaffer/SLIB.html .*slib-([\d.]+.*)\.zip
